play.modules

# reactivemongo

#### package reactivemongo

Visibility

1. Public
2. All

### Type Members

1. #### trait GridFSController extends AnyRef

2. #### class JSONFileToSave extends FileToSave[JSONSerializationPack.type, JsValue]

   A JSON implementation of `FileToSave`.

3. #### trait MongoDbConnection extends AnyRef

4. #### trait ReactiveMongoComponent extends AnyRef

   Annotations
     @ImplementedBy()

5. #### class ReactiveMongoComponentImpl extends ReactiveMongoComponent

   Annotations
     @Singleton()

6. #### trait ReactiveMongoComponents extends AnyRef

   Cake pattern components.

7. #### class ReactiveMongoHmrcModule extends Module

### Value Members

1. #### object Formatters

   Instances of Play Formatter for the ReactiveMongo types.

2. #### object GridFSController

3. #### object JSONFileToSave

   Factory of JSONFileToSave.

### Ungrouped